//logs.js
// const util = require('../../utils/util.js')
const tools = require('../../utils/tools.js');
const app = require('../../utils/util.js');
Page({
  data: {
    showNull: false,
    dataArr: [
      // {
      //   "image": "/images/scdj1.jpg",
      //   "name": "长春市社区工作者线上培训班",
      //   "lecturer": "李老师",
      //   "examBegin": "2020年07月10日",
      //   examBegin:'2020202020222222'
      // },{
      //   "image": "/images/scdj2.jpg",
      //   "name": "长春市专职党务工作者线上培训班",
      //   "lecturer": "刘老师",
      //   "examBegin": "2020年07月12日"
      // },{
      //   "image": "/images/scdj4.jpg",
      //   "name": "区域党建联盟",
      //   "lecturer": "王老师",
      //   "examBegin": "2020年07月15日"
      // },{
      //   "image": "/images/scdj3.jpg",
      //   "name": "小区党组织建设",
      //   "lecturer": "张老师",
      //   "examBegin": "2020年07月30日"
      // }
    ],
    sessionKey: '',
    classInfo: {},
  },
  checkboxChange() {

  },
  startAnswer(e) {
    let id = e.currentTarget.dataset.idx;
    let paperId = e.currentTarget.dataset.paperid;
    let answersId = e.currentTarget.dataset.answersid;
    console.log(this.data.sessionKey, "787878");
    console.log(e.currentTarget.dataset, "8888888");

    if (answersId) {
      console.log("有answeid");
      this.toPath(id, paperId, answersId);
    } else {
      console.log("没有");
      // 获取answerid
      this.beginKao(id, paperId, this.data.sessionKey);
    }
  },
  toPath(id, paperId, answersId) {
    wx.navigateTo({
      url: '/pages/lastdetail/lastdetail?id=' + id + '&paperId=' + paperId + '&answersId=' + answersId,
    })
  },
  beginKao(id, paperId, sessionKey) {
    console.log(paperId, "8888888");
    wx.request({
      url: app.globalData.publicUrl + '/wx/exam/begin',
      method: "post",
      data: {
        sessionKey: sessionKey,
        id: id,
        paperId: paperId,
      },
      success: (res) => {
        console.log(res);
        if (res.data.code == 0) {
          console.log(res, "为我么我们微妙"); // 提交答案是后
          this.toPath(id, paperId, res.data.answersId);
        }
      }
    })
  },
  lookAnswer(e) {
    console.log("00000");
    let answersId = e.currentTarget.dataset.answersid;
    wx.request({
      url: app.globalData.publicUrl + '/wx/answer/detail',
      method: "post",
      data: {
        sessionKey: this.data.sessionKey,
        answersId: answersId
      },
      success: (res) => {
        console.log(res);

        if (res.data.code == 0) {
          console.log(res, "suoyoude");
          wx.navigateTo({
            url: '/pages/lastdetailDetail/lastdetailDetail?answersId=' + answersId,
          })
        }
      }
    })

  },
  async onLoad() {
    const sessionKey = await tools.checkSessionAndLogin();
    this.setData({
      sessionKey: sessionKey
    })
    this.isClass(sessionKey);

  },
  getBanner(sessionKey) {
    console.log(sessionKey, "sessionKey");
    wx.request({
      url: app.globalData.publicUrl + '/wx/exam/quesExamList',
      method: "post",
      data: {
        sessionKey: sessionKey,
        questSub: '2',
        clasId: this.data.classInfo.id
      },
      success: (res) => {
        if (res.data.code == 0) {
          if (res.data.list.length == 0) {
            this.setData({
              showNull: true
            })
          } else {
            this.setData({
              dataArr: res.data.list
            })
          }
        }
      },
      fail: () => {
        this.setData({
          showNull: true
        })
      }
    })
  },
  // 查询我是否有班&&班级名字
  isClass(sessionKey) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/student/selMyClas',
      method: "post",
      data: {
        sessionKey: sessionKey
      },
      success: (res) => {
        console.log(res.data.code, "我是返回是否有班级")
        if (res.data.code == 0) {
          this.setData({
            classInfo: res.data.data
          })
          this.getBanner(sessionKey);
        } else {
          wx.showModal({
            content: "您当前还没有开放的班级！",
            showCancel: false,
            success(res) {
              if (res.confirm) {
                wx.switchTab({
                  url: '../index/index'
                })
              }
            }
          })
          return false;
        }
      }
    })
  },
})