const app = require('../../utils/util.js');
const tools = require('../../utils/tools.js');
Page({
  data: {
    wqdataArr: 0,
    jjdataArr: 0,
    isNeedlogin: false,
    // 课程轮播
    bnrUrl: [{
      clasImg: "../../images/zbfm.png"
    }],
    gridArr: [{
      url: "/images/icon1.png",
      name: "在线直播",
      isread: true
    }, {
      url: "/images/icon2.png",
      name: "在线录播",
      isread: true
    }, {
      url: "/images/icon3.png",
      name: "互动答疑",
      isread: true
    }, {
      url: "/images/icon4.png",
      name: "测试答卷",
      isread: true
    }]
    // xczsArr: []
  },
  gomyClass(e) {
    console.log(e.currentTarget.dataset.item.isActive, "我是测试跳转的")
    if (e.currentTarget.dataset.item.isActive == 5) {
      wx.switchTab({
        url: '/pages/myClass/myClass',
      })
    }
  },
  // 即将开班
  gostartClass(e) {
    if (e.currentTarget.dataset.item !== 0) {
      wx.navigateTo({
        url: '/pages/startClass/startClass',
      })
    } else {
      wx.showModal({
        showCancel: false,
        content: "您还没有即将开班哦",
        success(res) {
          if (res.confirm) {
            wx.switchTab({
              url: '../index/index'
            })
          }
        }
      })
    }
  },
  // 往期开班
  goagoClass(e) {
    if (e.currentTarget.dataset.item !== 0) {
      wx.navigateTo({
        url: '/pages/agoClass/agoClass',
      })
    } else {
      wx.showModal({
        showCancel: false,
        content: "您还没有往期开班哦",
        success(res) {
          if (res.confirm) {
            wx.switchTab({
              url: '../index/index'
            })
          }
        }
      })
    }
  },
  // 宣传展示查看更多
  xczsMore() {
    wx.navigateTo({
      url: '/pages/exhibitionList/exhibitionList?id=0',
    })
  },
  // 每个宣传展示跳转详情页
  turnDetails(e) {
    let num = e.currentTarget.id;
    wx.navigateTo({
      url: '/pages/exhibitionList/exhibitionList?id=' + num,
    })
  },
  // 首页的四个点击
  goGrid(e) {
    // console.log(e)
    if (e.currentTarget.dataset.id == 0) {
      wx.navigateTo({
        url: '/pages/onlineClass/onlineClass',
      })
    } else if (e.currentTarget.dataset.id == 1) {
      wx.navigateTo({
        url: '/pages/demandCourses/demandCourses',
      })
    } else if (e.currentTarget.dataset.id == 2) {
      wx.navigateTo({
        url: '/pages/myInteractions/myInteractions',
      })
    } else if (e.currentTarget.dataset.id == 3) {
      wx.navigateTo({
        url: '/pages/testAnswer/testAnswer',
      })
    }
  },
  // banner图
  getBanner(sessionKey) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/student/selAllClas',
      method: "post",
      data: {
        sessionKey: sessionKey
      },
      success: (res) => {
        if (res.data.data.claList.length != 0) {
          this.setData({
            bnrUrl: res.data.data.claList
          })
        }

      }
    })
  },
  // 防止图片闪烁在onshow中调用这个判断一下
  getBanner1(sessionKey) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/student/selAllClas',
      method: "post",
      data: {
        sessionKey: sessionKey
      },
      success: (res) => {
        console.log(this.data.bnrUrl,res.data.data.claList)
        if (this.data.bnrUrl.sort().toString() == res.data.data.claList.sort().toString()) {
          console.log("我和上次一样")
        } else {
          console.log("我和上次不一样")
          if (res.data.data.claList.length != 0) {
            this.setData({
              bnrUrl: res.data.data.claList
            })
          }
        }
      }
    })
  },
  // 即将开班
  getjjLength(sessionKey) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/student/selClasToo',
      method: "post",
      data: {
        sessionKey: sessionKey,
        isActive: "0"
      },
      success: (res) => {
        // console.log(res.data.data.length, "我是即将开班的列表")
        if (res.data.data)
          this.setData({
            jjdataArr: res.data.data.length
          })
      }
    })
  },
  // 往期开班
  getwqLength(sessionKey) {
    wx.request({
      url: app.globalData.publicUrl + '/wx/student/selClasToo',
      method: "post",
      data: {
        sessionKey: sessionKey,
        isActive: "2"
      },
      success: (res) => {
        // console.log(res, "我是往期开班的列表")
        if (res.data.data)
          this.setData({
            wqdataArr: res.data.data.length
          })
      }
    })
  },
  // 四个宣传图
  getfour() {
    console.log("调取公开课")
    wx.request({
      url: app.globalData.publicUrl + '/wx/course/listCategory',
      method: "post",
      success: (res) => {
        this.setData({
          xczsArr: res.data.list
        })
      },
      fail(res) {
        console.log(res, "调取请求公开课失败")
      }
    })
  },
  getfour1() {
    wx.request({
      url: app.globalData.publicUrl + '/wx/course/listCategory',
      method: "post",
      success: (res) => {
        if (this.data.xczsArr.sort().toString() == res.data.list.sort().toString()) {
          console.log("我和上次一样")
        } else {
          console.log("我和上次不一样")
          this.setData({
            xczsArr: res.data.list
          })
        }
      },
      fail(res) {
        console.log(res, "调取请求公开课失败")
      }
    })
  },
  getRedPoint1(sessionKey) {
    let completeStatus1 = `gridArr[${0}].isread`;
    let completeStatus2 = `gridArr[${1}].isread`;
    wx.request({
      url: app.globalData.publicUrl + '/wx/course/undoneLogo',
      method: "post",
      data: {
        sessionKey
      },
      success: (res) => {
        console.log(res, "我是调取第一个小红点的结果")
        if (res.data.code == 0 && res.data.isLive == true) {
          this.setData({
            [completeStatus1]: false
          })
        }
        if (res.data.code == 0 && res.data.isRecord == true) {
          this.setData({
            [completeStatus2]: false
          })
        }
      },
      fail(res) {
        console.log(res, "调取第1/2个小红点失败")
      }
    })
  },
  getRedPoint4(sessionKey) {
    let completeStatus = `gridArr[${3}].isread`;
    wx.request({
      url: app.globalData.publicUrl + '/wx/exam/list',
      method: "post",
      data: {
        sessionKey,
        status: 0
      },
      success: (res) => {
        console.log(res, "我是调取第四个小红点的结果")
        if (res.data.code == 0 && res.data.list.length > 0) {
          this.setData({
            [completeStatus]: false
          })
        }
      },
      fail(res) {
        console.log(res, "调取第四个小红点失败")
      }
    })
  },
  onReady: function () {},
  async onShow() {
    const sessionKey = await tools.checkSessionAndLogin();
    this.getBanner1(sessionKey);
    this.getjjLength(sessionKey);
    this.getwqLength(sessionKey);
    this.getRedPoint1(sessionKey);
    this.getRedPoint4(sessionKey);
    this.getfour1();
  },
  async onLoad() {
    const sessionKey = await tools.checkSessionAndLogin();
    // console.log("我调用了onShow")
    this.getfour();
    this.getBanner(sessionKey);
  },
})